Last Comment Bug 800798 - Assembly errors compiling Linux-x86_64: No such instruction: pmulld %xmm6, %xmm0 (webrtc)
: Assembly errors compiling Linux-x86_64: No such instruction: pmulld %xmm6, %x...
Status: RESOLVED FIXED
:
Product: Calendar
Classification: Client Software
Component: Build Config (show other bugs)
: Lightning 2.0
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 23:27 PDT by Philipp Kewisch [:Fallen]
Modified: 2012-11-28 08:16 PST (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Philipp Kewisch [:Fallen] 2012-10-11 23:27:45 PDT
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc: Assembler messages:
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc:220: Error: no such instruction: `pmulld %xmm6,%xmm0'
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc:226: Error: no such instruction: `pmulld %xmm5,%xmm3'
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc:230: Error: no such instruction: `pmulld %xmm5,%xmm4'
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc:235: Error: no such instruction: `pmulld %xmm5,%xmm2'
/buildbot/cc-linux64-nightly/build/mozilla/media/webrtc/trunk/third_party/libyuv/source/compare.cc:238: Error: no such instruction: `pmulld %xmm5,%xmm1'
make[7]: *** [source/compare.o] Error 1
make[7]: Leaving directory `/buildbot/cc-linux64-nightly/build/objdir-tb/mozilla/media/webrtc/trunk/third_party/libyuv/libyuv_libyuv'
make[6]: *** [third_party/libyuv/libyuv_libyuv_libs] Error 2

Since we don't depend on it, disabling webrtc might be a temporary solution. Fixing this requires a newer binutils, which means OS upgrade, which means bug 793628.
Comment 1 Stefan Sitter 2012-10-13 04:19:16 PDT
Applied comm-central workaround: https://hg.mozilla.org/build/buildbot-configs/rev/c638c6f30ea0

Comm-aurora is affected too.
Comment 2 Philipp Kewisch [:Fallen] 2012-10-13 05:34:01 PDT
Ported to aurora in  https://hg.mozilla.org/build/buildbot-configs/rev/432486a808e3
Comment 3 Stefan Sitter 2012-11-27 09:29:42 PST
Do we need to port back the workaround for comm-beta builds of Lightning 2.0?
Comment 4 Philipp Kewisch [:Fallen] 2012-11-28 08:16:54 PST
Ported to beta too just in case, I'm working on the 2.0b1 builds.

Note You need to log in before you can comment on or make changes to this bug.